Subject: [VIPR] A new proposal for SIP Intermediaries

From: Marc Petit-Huguenin <[email-masked]>
Date: Mon, 03 Oct 2011 10:27:49 -0700

For the second time, the Design Team conference call got stuck on the subject of
SIP intermediaries in VIPR, and we were not able to make any progress on the
VIPR specifications themselves.  I was supposed to send another email to this
mailing-list to describe in more details the problems created by SIP
intermediaries but I fear that the next conference calls will still being spent
arguing about this.  So I would like to propose an alternate route to solve this
issue.

SIP intermediaries are not described at all in the current specifications, but I
think that everybody agree that we should say something about it, because it
will become a reality, even if we decide to make it a SHOULD NOT (which would
exclude a lot of potential participants from the VIPR federation).  On the other
hand, VIPR domains does not require SIP intermediaries to work.

So my proposal is:

1. Put everything related to SIP intermediaries in a separate I-D, so it does
not hold the main specifications.
2. Add in the main specifications the "hooks" required to be able to add support
for SIP intermediaries as an extension in the future (as opposed to have to work
on a new version of the VIPR RFCs to add SIP intermediaries, which will push
back the deployment of SIP intermediaries for another 3 years).
3. Add a new milestone for the SIP intermediaries (I would suggest April 2012[1])

Please let me know as soon as possible if you agree with this new plan, at least
on the two first points, so I can release the first version of the new
draft-petithuguenin-vipr-sip-intermediaries I-D, and so we can move one on the
other subjects that are actually blocking the work on -framework.

Thanks.

[1] And I would also suggest to move at the same time the "Submit Specification
of authorization tokens to mitigate SPAM for publication as Proposed Standard"
to December 2011, as it make sense to submit this at the same time than the
other core VIPR specifications.

- -- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org

---

From: John Ward <[email-masked]>
Date: Wed, 5 Oct 2011 20:11:52 +0000

Marc,

I am supported of this proposal.

John

-----Original Message-----
From: Marc Petit-Huguenin [mailto:[email-masked]] 
Sent: Monday, October 03, 2011 11:28 AM
To: [email-masked]
Subject: [VIPR] A new proposal for SIP Intermediaries

So my proposal is:

Thanks.

- -- 
Marc Petit-Huguenin

---

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Fri, 7 Oct 2011 17:24:11 +0530

I agree with this proposal.

Muthu

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]] On Behalf Of
Marc Petit-Huguenin
|Sent: Monday, October 03, 2011 10:58 PM
|To: [email-masked]
|Subject: [VIPR] A new proposal for SIP Intermediaries
|
|-----BEGIN PGP SIGNED MESSAGE-----
|Hash: SHA1
|
|For the second time, the Design Team conference call got stuck on the
subject of
|SIP intermediaries in VIPR, and we were not able to make any progress
on the
|VIPR specifications themselves.  I was supposed to send another email
to this
|mailing-list to describe in more details the problems created by SIP
|intermediaries but I fear that the next conference calls will still
being spent
|arguing about this.  So I would like to propose an alternate route to
solve this
|issue.
|
|SIP intermediaries are not described at all in the current
specifications, but I
|think that everybody agree that we should say something about it,
because it
|will become a reality, even if we decide to make it a SHOULD NOT (which
would
|exclude a lot of potential participants from the VIPR federation).  On
the other
|hand, VIPR domains does not require SIP intermediaries to work.
|
|So my proposal is:
|
|1. Put everything related to SIP intermediaries in a separate I-D, so
it does
|not hold the main specifications.
|2. Add in the main specifications the "hooks" required to be able to
add support
|for SIP intermediaries as an extension in the future (as opposed to
have to work
|on a new version of the VIPR RFCs to add SIP intermediaries, which will
push
|back the deployment of SIP intermediaries for another 3 years).
|3. Add a new milestone for the SIP intermediaries (I would suggest
April 2012[1])
|
|Please let me know as soon as possible if you agree with this new plan,
at least
|on the two first points, so I can release the first version of the new
|draft-petithuguenin-vipr-sip-intermediaries I-D, and so we can move one
on the
|other subjects that are actually blocking the work on -framework.
|
|Thanks.
|
|
|[1] And I would also suggest to move at the same time the "Submit
Specification
|of authorization tokens to mitigate SPAM for publication as Proposed
Standard"
|to December 2011, as it make sense to submit this at the same time than
the
|other core VIPR specifications.
|
|- --
|Marc Petit-Huguenin
|Personal email: [email-masked]
|Professional email: [email-masked]
|Blog: http://blog.marc.petit-huguenin.org
|-----BEGIN PGP SIGNATURE-----
|Version: GnuPG v1.4.11 (GNU/Linux)
|
|iEYEARECAAYFAk6J8JMACgkQ9RoMZyVa61ckLQCgpM/sND37krkNZRPWrQt4deHF
|dRMAnAmG7FZFFaIU7xNC+oHUIChQGU/C
|=t3x7
|-----END PGP SIGNATURE-----
|_______________________________________________
|VIPR mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/vipr